MU INIT(1)

NAME

muinit -- initialize the mu message database

SYNOPSIS

mu [common-options] init [options]

DESCRIPTION

mu init is the subcommand for setting up the mu message database. After mu init has completed, you can run mu index

INIT OPTIONS

  -m, --maildir=<maildir>

starts searching at <maildir>. By default, mu uses whatever the MAILDIR environment variable is set to; if it is not set, it tries ~/Maildir if it already exists.

  --my-address=<my-email-address>

specifies that some e-mail addresses are 'my-address' (the option can be used multiple times). Any message in which at least one of the contact fields contains such an address is considered a 'personal' messages; this can then be used for filtering in mu-find(1), mu-cfind(1) and mu4e, e.g. to filter-out mailing list messages.

<my-email-address> can be either a plain e-mail address (such as foo@example.com), or a basic PCRE regular-expression (see pcre(3) for details), wrapped in / (such as /foo-.*@example\.com/). Depending on your shell, the argument may need to be quoted.

  --reinit

reinitialize the database from an earlier version; that is, create a new empty database with the existing settings. This cannot be combined with the other init options.

EXIT CODE

This command returns 0 upon successful completion, or a non-zero exit code otherwise. Typical values are 2 (no matches found), 11 (database schema mismatch) and 12 (failed to acquire database lock).

  no matches found (2)

Nothing matching found; try a different query

  database schema mismatch (11)

You need to re-initialize mu, see mu-init(1)

  failed to acquire lock (19)

Some other program has exclusive access to the mu (Xapian) database

  --muhome

use a non-default directory to store and read the database, write the logs, etc. By default, mu uses the XDG Base Directory Specification (e.g. on GNU/Linux this defaults to ~/.cache/mu and ~/.config/mu). Earlier versions of mu defaulted to ~/.mu, which now requires --muhome=~/.mu.

The environment variable MUHOME can be used as an alternative to --muhome. The latter has precedence.

REPORTING BUGS

Please report bugs at https://github.com/djcb/mu/issues.

AUTHOR

Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>

COPYRIGHT

This manpage is part of mu 1.10.8.

Copyright © 2022-2023 Dirk-Jan C. Binnema. License GPLv3+: GNU GPL version 3 or later https://gnu.org/licenses/gpl.html. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO

mu-index(1), mu-find(1), mu-cfind(1), pcre(3)